SerializationAPIKt
Keywords: net.corda.core.serialization.SerializationAPIKt class
Date: 2023-09-18

net.corda.core.serialization

## Class SerializationAPIKt

- net.corda.core.serialization.SerializationAPIKt

-     public class SerializationAPIKt

- - ### Field Detail

    - #### DESERIALIZATION_CACHE_PROPERTY

          @NotNull
          public static java.lang.String DESERIALIZATION_CACHE_PROPERTY

      See Also:
        Constant Field Values

    - #### AMQP_ENVELOPE_CACHE_PROPERTY

          @NotNull
          public static java.lang.String AMQP_ENVELOPE_CACHE_PROPERTY

      See Also:
        Constant Field Values

    - #### AMQP_ENVELOPE_CACHE_INITIAL_CAPACITY

          public static int AMQP_ENVELOPE_CACHE_INITIAL_CAPACITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SerializationAPIKt

          public SerializationAPIKt()

  - ### Method Detail

    - #### serialize

          @NotNull
          public static <T> SerializedBytes<T> serialize(@NotNull
                                                                  T $this$serialize,
                                                                  @NotNull
                                                                  SerializationFactory serializationFactory,
                                                                  @NotNull
                                                                  SerializationContext context)

      Convenience extension method for serializing an object of type T, utilising the defaults.

    - #### withWhitelist

          @NotNull
          public static SerializationContext withWhitelist(@NotNull
                                                                    SerializationContext $this$withWhitelist,
                                                                    @NotNull
                                                                    java.util.List<? extends java.lang.Class<?>> classes)

      Helper method to return a new context based on this context with the given list of classes specifically whitelisted.